<?php
 
 
 

namespace PhpWA\Protocol\Proto\BotProgressIndicatorMetadata\BotPlanningStepMetadata;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class BotPlanningStepSectionMetadata extends \Google\Protobuf\Internal\Message
{
    


    protected $sectionTitle = null;
    


    protected $sectionBody = null;
    


    private $sourcesMetadata;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getSectionTitle()
    {
        return isset($this->sectionTitle) ? $this->sectionTitle : '';
    }

    public function hasSectionTitle()
    {
        return isset($this->sectionTitle);
    }

    public function clearSectionTitle()
    {
        unset($this->sectionTitle);
    }

    




    public function setSectionTitle($var)
    {
        GPBUtil::checkString($var, True);
        $this->sectionTitle = $var;

        return $this;
    }

    



    public function getSectionBody()
    {
        return isset($this->sectionBody) ? $this->sectionBody : '';
    }

    public function hasSectionBody()
    {
        return isset($this->sectionBody);
    }

    public function clearSectionBody()
    {
        unset($this->sectionBody);
    }

    




    public function setSectionBody($var)
    {
        GPBUtil::checkString($var, True);
        $this->sectionBody = $var;

        return $this;
    }

    



    public function getSourcesMetadata()
    {
        return $this->sourcesMetadata;
    }

    




    public function setSourcesMetadata($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::MESSAGE, \PhpWA\Protocol\Proto\BotProgressIndicatorMetadata\BotPlanningStepMetadata\BotPlanningSearchSourceMetadata::class);
        $this->sourcesMetadata = $arr;

        return $this;
    }

}

